using System.Collections.Generic;
namespace Stat.BLL
{
    /// <summary>
    /// 广告
    /// </summary>
    public class AD
    {
        private static IDAL.IAD dal = DALFactory.AbstractFactory.GetInstance().CreateAD();

        /// <summary>
        /// 添加信息
        /// </summary>
        /// <returns></returns>
        public static bool Insert(Stat.Model.AD model)
        {

            return dal.Insert(model);
        }
        /// <summary>
        /// 更新信息
        /// </summary>
        /// <returns></returns>
        public static bool Update(Stat.Model.AD model)
        {

            return dal.Update(model);
        }
        /// <summary>
        ///删除信息
        /// </summary>
        /// <returns></returns>
        public static bool Delete(int id)
        {

            return dal.Delete(id);
        }
        /// <summary>
        /// 获取所有
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.AD> Get()
        {
            return dal.Get();
        }
        /// <summary>
        /// 获取信息
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.AD> Get(int id)
        {
            return dal.Get(id);
        }
        /// <summary>
        /// 获取信息
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.AD> GetPosit(int Posit)
        {
            return dal.GetPosit(Posit);
        }
    }
}
